<?php

use App\Http\DBO\CamotionPermissions;
use Luticate\Auth\Business\LuticateBusiness;
use Luticate\Doc\Business\LuDocBusiness;
use Luticate\Utils\LuRoute;

$route = LuRoute::getInstance();

$int = LuRoute::REG_INT;
$host_id = "{host_id:$int}";
$camera_id = "{camera_id:$int}";

LuticateBusiness::setupAuth();
LuticateBusiness::setupRoutes();
LuDocBusiness::setupRoutes("/camotion");

$route->get("/hosts", "Hosts", "getAll", CamotionPermissions::HOST_GET);
$route->get("/hosts/$host_id", "Hosts", "get", CamotionPermissions::HOST_GET);
$route->post("/hosts/add", "Hosts", "add", array(CamotionPermissions::HOST_GET, CamotionPermissions::HOST_ADD));
$route->post("/hosts/$host_id/edit", "Hosts", "edit", array(CamotionPermissions::HOST_GET, CamotionPermissions::HOST_EDIT));
$route->post("/hosts/$host_id/del", "Hosts", "del", array(CamotionPermissions::HOST_GET, CamotionPermissions::HOST_DEL));


$route->get("/cameras/types", "Cameras", "getAllTypes", array(CamotionPermissions::CAMERA_GET, CamotionPermissions::CAMERA_ADD));
$route->get("/cameras", "Cameras", "getAll", CamotionPermissions::CAMERA_GET);
$route->get("/cameras/$camera_id", "Cameras", "get", CamotionPermissions::CAMERA_GET);
$route->post("/cameras/add", "Cameras", "add", array(CamotionPermissions::CAMERA_GET, CamotionPermissions::CAMERA_ADD));
$route->post("/cameras/$camera_id/edit", "Cameras", "edit", array(CamotionPermissions::CAMERA_GET, CamotionPermissions::CAMERA_EDIT));
$route->post("/cameras/$camera_id/del", "Cameras", "del", array(CamotionPermissions::CAMERA_GET, CamotionPermissions::CAMERA_DEL));